Subject: Re: bug#35864: ~/.local/bin is missing in default PATH on Guix System

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 23 May 2019 17:31:38 +0200

On Thu, May 23, 2019 at 04:17:38PM +0200, Ricardo Wurmus wrote:
> 
> pelzflorian (Florian Pelz) <[email-masked]> writes:
> 
> > ~/.local/bin should be added to the PATH environment variable by
> > default, see
> > <https://unix.stackexchange.com/questions/316765/which-distributions-have-home-local-bin-in-path>.
> 
> They say that this is specified in the systemd file-hierarchy
> specification.  We already ignore most of this specification (see any
> entry mentioning /usr, for example).
> 
> I think we can safely ignore this specification.
> 

Adding ~/.local/bin to the PATH is common on other distros.  When
compiling and installing software as a user without making a package
for it, I want to configure it with --prefix=$HOME/.local so I can
install without sudo.  Then I want to be able to run:

myprog

instead of

PATH=$HOME/.local/bin myprog

In particular, I want instructions to work on all distros, even though
Debian failed/fails to do this at the moment too.

Regards,
Florian